%define version	1.4.1
%define release	%mkrel 1

%define scim_version	1.4.1

%define libname_orig lib%{name}
%define libname %mklibname %{name} 0

Name:		        skim
Summary:	        Input method platform for KDE
Version:		%{version}
Release:		%{release}
Group:		        System/Internationalization
License:		GPL
URL:			http://sourceforge.net/projects/scim/
Source0:		http://puzzle.dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.bz2
BuildRoot:	        %{_tmppath}/%{name}-%{version}-%{release}-root
Requires:		%{libname} = %{version}
Requires:		scim >= %{scim_version}
BuildRequires:          scons
BuildRequires:		kdebase
BuildRequires:		scim-devel >= %{scim_version}
BuildRequires:		kdebase-devel
BuildRequires:		libxml2-utils

%description
Skim is an input method platform based upon scim-lib for KDE.
It provides a GUI panel (named scim-panel-kde), a KConfig config module and
SetupUIs for itself and scim-lib.
It also has its own plugin systems which support on-demand loadable actions.


%package -n	%{libname}
Summary:	Skim library
Group:		System/Internationalization
Provides:		%{libname_orig} = %{version}

%description -n %{libname}
Skim library.

%package -n	%{libname}-devel
Summary:	Headers of skim for development
Group:		Development/C
Requires:		%{libname} = %{version}
Provides:		%{name}-devel = %{version}-%{release}
Provides:		%{libname_orig}-devel = %{version}-%{release}

%description -n %{libname}-devel
Headers of %{name} for development.


%prep
%setup -q

%build
# fix build (ut):
%define __libtoolize /bin/true

%if "%{_lib}" == "lib64"
./configure libsuffix=64
%else
./configure
%endif

./scons

DESTDIR=$RPM_BUILD_ROOT ./scons  install

#%install
#rm -rf $RPM_BUILD_ROOT
#%makeinstall_std

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig


%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_bindir}/scim-panel-kde
%{_bindir}/skim
%{_datadir}/applnk/Utilities/skim.desktop
%{_datadir}/apps/kicker/applets/skimapplet.desktop
%{_datadir}/services/skimsetupdir_frontend.desktop
%{_datadir}/services/skimsetupdir_imengines.desktop
%{_datadir}/services/skimsetupdir_panel.desktop
%{_datadir}/apps/skim
%{_datadir}/autostart/skim.desktop
%{_datadir}/config.kcfg/scimkdeconfig.kcfg
%{_datadir}/doc/HTML/*/skim/*
%{_iconsdir}/crystalsvg/32x32/apps/skim.png
%{_iconsdir}/crystalsvg/scalable/apps/skim.svgz
%{_datadir}/services/skimconfiguredialog
%{_datadir}/services/skimplugin_*.desktop
%{_datadir}/servicetypes/skim*

%files -n %{libname}
%defattr(-,root,root)
%doc COPYING
%{_libdir}/libscim-kdeutils.so.0.1.0
%{_libdir}/libscim-kdeutils.so.0
%{_libdir}/libskim.so.0
%{_libdir}/kde3/kcm_skimplugin_compmgrclient.so
%{_libdir}/kde3/kcm_skimplugin_configplugin.so
%{_libdir}/kde3/kcm_skimplugin_inputwindow.so
%{_libdir}/kde3/kcm_skimplugin_mainwindow.so
%{_libdir}/kde3/kcm_skimplugin_scim_global.so
%{_libdir}/kde3/kcm_skimplugin_scim_imengines.so
%{_libdir}/kde3/kcm_skimplugin_scim_x.so
%{_libdir}/kde3/kcm_skimplugin_systemtray.so
%{_libdir}/kde3/skim_panelapplet.so
%{_libdir}/kde3/skimplugin_compmgrclient.so
%{_libdir}/kde3/skimplugin_inputwindow.so
%{_libdir}/kde3/skimplugin_mainwindow.so
%{_libdir}/kde3/skimplugin_scim.so
%{_libdir}/kde3/skimplugin_setupwindow.so
%{_libdir}/kde3/skimplugin_systemtray.so
%{_libdir}/kde3/kcm_skimplugin_compmgrclient.la
%{_libdir}/kde3/kcm_skimplugin_configplugin.la
%{_libdir}/kde3/kcm_skimplugin_inputwindow.la
%{_libdir}/kde3/kcm_skimplugin_mainwindow.la
%{_libdir}/kde3/kcm_skimplugin_scim_global.la
%{_libdir}/kde3/kcm_skimplugin_scim_imengines.la
%{_libdir}/kde3/kcm_skimplugin_scim_x.la
%{_libdir}/kde3/kcm_skimplugin_systemtray.la
%{_libdir}/kde3/skim_panelapplet.la
%{_libdir}/kde3/skimplugin_compmgrclient.la
%{_libdir}/kde3/skimplugin_inputwindow.la
%{_libdir}/kde3/skimplugin_mainwindow.la
%{_libdir}/kde3/skimplugin_scim.la
%{_libdir}/kde3/skimplugin_setupwindow.la
%{_libdir}/kde3/skimplugin_systemtray.la
%{_libdir}/scim-*/*/Config/*.so
%{_libdir}/scim-*/*/Config/*.la
%{_libdir}/libskim.so.0.1.0

%files -n %{libname}-devel
%defattr(-,root,root)
%doc COPYING
%{_includedir}/skim/*
%{_libdir}/libscim-kdeutils.so
%{_libdir}/libskim.so
%{_libdir}/libscim-kdeutils.la
%{_libdir}/libskim.la
%{_libdir}/pkgconfig/scim_kdeutils.pc
%{_libdir}/pkgconfig/skim.pc

%changelog
* Thu Aug 11 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.4.1-1mdk
- New release 1.4.1
	- Improved: embedded mode (in kicker) of main window
	- Fixed: build system issues in regarding to packaging 
		and 64 systems

* Sun Jul 31 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.4.0-4mdk
- add BuildRequires: libxml2-utils

* Thu Jul 28 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.4.0-3mdk
- Fix Build for lib64

* Thu Jul 28 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.4.0-2mdk
- Fix Build on x86_64

* Tue Jul 19 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.4.0-1mdk
- New release 1.4.0
- Use scons instead of make

* Mon Jun 20 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.3.1-1mdk
- Rebuild for new scim ( 1.3.1 )

* Fri Jun 17 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.3.0-2mdk
- Rebuild for new glibc

* Sun May 29 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.3.0-1mdk
- 1.3.0

* Thu May 26 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.2.3-1mdk
- 1.2.3
        - fixed: crash with some KDE theme
        - fixed: make sure Main window is always visible
        - fixed: support icons whose filenames contain 
                 none-latin1 chars 
        - fixed: do not show inputwindow when show 
                 lookuptable if detached 
        - fixed: lookup table should be hiden by default

* Mon Apr 25 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 1.2.2-1mdk
- new release

* Tue Mar 01 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 1.2.0-1mdk
- new release

* Thu Feb 17 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 1.1.0-1mdk
- new release
- spec cleanup
- change URL

* Tue Feb 08 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.0-2mdk
- rpmlint fixes

* Thu Sep 09 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 1.0.0-1mdk
- new release

* Fri Sep 03 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.7-2mdk
- skim needs *.la for plugins
- fix requires (skim won't work w/o scim)
- disable rpath

* Sun Aug 29 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.7-1mdk
- fix file list
- fix description & summary
- fix a few rpmlint warnings
- initial spec for mdk (UTUMI Hirosi <utuhiro78@yahoo.co.jp>)
